[Skip to main content](/content/docs/reference/frontend-api/2026-05-12/tag/environment/PATCH/v1/environment#main/index.html)

Show sidebar

GET

Server: https://{domain}.clerk.accounts.dev

/.well-known/assetlinks.json

Copy URL

Send Send get request to https://{domain}.clerk.accounts.dev/.well-known/assetlinks.json

GET

Copy URLSend Send get request to https://{domain}.clerk.accounts.dev/.well-known/assetlinks.json

Close Client

Get Android Asset Links

AllAuthCookiesHeadersQuery

All

## Authentication

Select Auth Type

No authentication selected

## Variables

| Enabled | Key | Value |
| --- | --- | --- |

## Cookies

| Enabled | Key | Value |
| --- | --- | --- |
|  |  |  |

## Headers

| Enabled | Key | Value |
| --- | --- | --- |
|  | accept | application/json |
|  |  |  |

## Query Parameters

| Enabled | Key | Value |
| --- | --- | --- |
|  |  |  |

## Request Body

No Body

| None |
| --- |

## Code Snippet (Collapsed)

Shell Curl

Response

AllCookiesHeadersBody

All

[Powered By Scalar.com](https://www.scalar.com/)

.,,uod8B8bou,,. ..,uod8BBBBBBBBBBBBBBBBRPFT?l!i:. \|\|\|\|\|\|\|\|\|\|\|\|\|\|!?TFPRBBBBBBBBBBBBBBB8m=, \|\|\|\| '""^^!!\|\|\|\|\|\|\|\|\|\|TFPRBBBVT!:...! \|\|\|\| '""^^!!\|\|\|\|\|?!:.......! \|\|\|\| \|\|\|\|.........! \|\|\|\| \|\|\|\|.........! \|\|\|\| \|\|\|\|.........! \|\|\|\| \|\|\|\|.........! \|\|\|\| \|\|\|\|.........! \|\|\|\| \|\|\|\|.........! \|\|\|\|, \|\|\|\|.........\` \|\|\|\|\|!!-.\_ \|\|\|\|.......;. ':!\|\|\|\|\|\|\|\|\|!!-.\_ \|\|\|\|.....bBBBBWdou,. bBBBBB86foi!\|\|\|\|\|\|\|!!-..:\|\|\|!..bBBBBBBBBBBBBBBY! ::!?TFPRBBBBBB86foi!\|\|\|\|\|\|\|\|!!bBBBBBBBBBBBBBBY..! :::::::::!?TFPRBBBBBB86ftiaabBBBBBBBBBBBBBBY....! :::;\`"^!:;::::::!?TFPRBBBBBBBBBBBBBBBBBBBY......! ;::::::...''^::::::::::!?TFPRBBBBBBBBBBY........! .ob86foi;::::::::::::::::::::::::!?TFPRBY..........\` .b888888888886foi;:::::::::::::::::::::::..........\` .b888888888888888888886foi;::::::::::::::::...........b888888888888888888888888888886foi;:::::::::......\`!Tf998888888888888888888888888888888886foi;:::....\` '"^!\|Tf9988888888888888888888888888888888!::..\` '"^!\|Tf998888888888888888888888889!! '\` '"^!\|Tf9988888888888888888!!\` iBBbo. '"^!\|Tf998888888889!\` WBBBBbo. '"^!\|Tf9989!\` YBBBP^' '"^!\` \`

Send Request

ctrlControl

↵Enter

How can I help you today?

Type a Request To get Started

Clerk Frontend API

Clerk Platform API

Clerk Backend API

Scalar

Scalar

By messaging Agent Scalar you agree to our [Terms](https://scalar.com/legal/terms-and-conditions) and [Privacy Policy](https://scalar.com/legal/privacy-policy).

Close Client

v1

OpenAPI 3.0.3

# Clerk Frontend API

[Clerk Team](mailto:support@clerk.com)

[MIT](https://github.com/clerk/javascript/blob/main/LICENSE)

[Terms of Service](/content/terms/index.html)

Download OpenAPI Document
json
Download OpenAPI Document
yaml

The Clerk REST Frontend API, meant to be accessed from a browser or native environment.

This is a Form Based API and all the data must be sent and formatted according to the `application/x-www-form-urlencoded` content type.

### Versions

When the API changes in a way that isn't compatible with older versions, a new version is released.
Each version is identified by its release date, e.g. `2021-02-05`. For more information, please see [Clerk API Versions](/content/docs/backend-requests/versioning/overview/index.html).

### Using the Try It Console

The `Try It` feature of the docs only works for **Development Instances** when using the `DevBrowser` security scheme.
To use it, first generate a dev instance token from the `/v1/dev_browser` endpoint.

Please see [https://clerk.com/docs](/content/docs/index.html) for more information.

Server

Server:https://{domain}.clerk.accounts.dev

domain

## AuthenticationRequired

Selected Auth Type: DevBrowser & Session

|     |
| --- |
| DevBrowser: query |
| Name : <br>\_\_dev\_session<br>Clear Value |
| Value : <br>Show Password |
| Session: header |
| Name : <br>\_\_session<br>Clear Value |
| Value : <br>Show Password |

Client Libraries

Shell

Ruby

Node.js

PHP

Python

MoreSelect from all clients

Shell Curl

## Environment  (Collapsed)

​Copy link

Used to get and update the current Environment

Environment Operations

- get/v1/environment
- patch/v1/environment

### Get environment

​Copy link

Auth Optional

Get the current environment. The environment contains information about the settings and features enabled for the current instance.

Responses

- 200

Returns the environment.

application/json

- 400

Request was not successful

application/json

- 401

Request was not successful

application/json

Request Example for get/v1/environment

Shell Curl

```curl
curl https://example-destined-camel-13.clerk.accounts.dev/v1/environment
```

Copy

Copy

Ask AI Agent

Test Request(get /v1/environment)

Status: 200Status: 400Status: 401

Show Schema

`{
"auth_config": {
    "object": "auth_config",
    "id": "string",
    "first_name": "on",
    "last_name": "on",
    "email_address": "on",
    "phone_number": "on",
    "username": "on",
    "password": "on",
    "identification_requirements": [\
      [\
        "string"\
      ]\
    ],
    "identification_strategies": [\
      "string"\
    ],
    "first_factors": [\
      "string"\
    ],
    "second_factors": [\
      "string"\
    ],
    "email_address_verification_strategies": [\
      "string"\
    ],
    "single_session_mode": true,
    "enhanced_email_deliverability": true,
    "test_mode": true,
    "url_based_session_syncing": true,
    "claimed_at": null,
    "reverification": true,
    "native_settings": {
      "object": "native_settings",
      "api_enabled": true,
      "trusted_device_sign_in_enabled": true,
      "trusted_device_enrollment_prompt_after_sign_in_enabled": true,
      "trusted_device_enrollment_prompt_after_sign_up_enabled": true
    }
},
"display_config": {
    "object": "display_config",
    "id": "string",
    "instance_environment_type": "production",
    "application_name": "string",
    "theme": {},
    "preferred_sign_in_strategy": "password",
    "logo_image_url": null,
    "favicon_image_url": null,
    "home_url": "string",
    "sign_in_url": "string",
    "sign_up_url": "string",
    "user_profile_url": "string",
    "waitlist_url": "string",
    "oauth_consent_url": "string",
    "after_sign_in_url": "string",
    "after_sign_up_url": "string",
    "after_sign_out_one_url": "string",
    "after_sign_out_all_url": "string",
    "after_switch_session_url": "string",
    "after_join_waitlist_url": "string",
    "organization_profile_url": "string",
    "create_organization_url": "string",
    "after_leave_organization_url": "string",
    "after_create_organization_url": "string",
    "logo_link_url": "string",
    "support_email": null,
    "branded": true,
    "experimental_force_oauth_first": true,
    "clerk_js_version": null,
    "show_devmode_warning": true,
    "google_one_tap_client_id": null,
    "help_url": null,
    "privacy_policy_url": null,
    "terms_url": null,
    "captcha_public_key": null,
    "captcha_widget_type": "smart",
    "captcha_public_key_invisible": null,
    "captcha_provider": "turnstile",
    "captcha_oauth_bypass": [\
      "string"\
    ],
    "captcha_heartbeat": null
},
"user_settings": {
    "attributes": {
      "email_address": {
        "enabled": true,
        "required": true,
        "used_for_first_factor": true,
        "first_factors": [\
          "string"\
        ],
        "used_for_second_factor": true,
        "second_factors": [\
          "string"\
        ],
        "verifications": [\
          "string"\
        ],
        "verify_at_sign_up": true,
        "immutable": true
      },
      "phone_number": {
        "enabled": true,
        "required": true,
        "used_for_first_factor": true,
        "first_factors": [\
          "string"\
        ],
        "used_for_second_factor": true,
        "second_factors": [\
          "string"\
        ],
        "verifications": [\
          "string"\
        ],
        "verify_at_sign_up": true,
        "immutable": true
      },
      "username": {
        "enabled": true,
        "required": true,
        "used_for_first_factor": true,
        "first_factors": [\
          "string"\
        ],
        "used_for_second_factor": true,
        "second_factors": [\
          "string"\
        ],
        "verifications": [\
          "string"\
        ],
        "verify_at_sign_up": true,
        "immutable": true
      },
      "web3_wallet": {
        "enabled": true,
        "required": true,
        "used_for_first_factor": true,
        "first_factors": [\
          "string"\
        ],
        "used_for_second_factor": true,
        "second_factors": [\
          "string"\
        ],
        "verifications": [\
          "string"\
        ],
        "verify_at_sign_up": true,
        "immutable": true
      },
      "first_name": {
        "enabled": true,
        "required": true,
        "used_for_first_factor": true,
        "first_factors": [\
          "string"\
        ],
        "used_for_second_factor": true,
        "second_factors": [\
          "string"\
        ],
        "verifications": [\
          "string"\
        ],
        "verify_at_sign_up": true,
        "immutable": true
      },
      "last_name": {
        "enabled": true,
        "required": true,
        "used_for_first_factor": true,
        "first_factors": [\
          "string"\
        ],
        "used_for_second_factor": true,
        "second_factors": [\
          "string"\
        ],
        "verifications": [\
          "string"\
        ],
        "verify_at_sign_up": true,
        "immutable": true
      },
      "password": {
        "enabled": true,
        "required": true,
        "used_for_first_factor": true,
        "first_factors": [\
          "string"\
        ],
        "used_for_second_factor": true,
        "second_factors": [\
          "string"\
        ],
        "verifications": [\
          "string"\
        ],
        "verify_at_sign_up": true,
        "immutable": true
      },
      "authenticator_app": {
        "enabled": true,
        "required": true,
        "used_for_first_factor": true,
        "first_factors": [\
          "string"\
        ],
        "used_for_second_factor": true,
        "second_factors": [\
          "string"\
        ],
        "verifications": [\
          "string"\
        ],
        "verify_at_sign_up": true,
        "immutable": true
      },
      "ticket": {
        "enabled": true,
        "required": true,
        "used_for_first_factor": true,
        "first_factors": [\
          "string"\
        ],
        "used_for_second_factor": true,
        "second_factors": [\
          "string"\
        ],
        "verifications": [\
          "string"\
        ],
        "verify_at_sign_up": true,
        "immutable": true
      },
      "backup_code": {
        "enabled": true,
        "required": true,
        "used_for_first_factor": true,
        "first_factors": [\
          "string"\
        ],
        "used_for_second_factor": true,
        "second_factors": [\
          "string"\
        ],
        "verifications": [\
          "string"\
        ],
        "verify_at_sign_up": true,
        "immutable": true
      },
      "passkey": {
        "enabled": true,
        "required": true,
        "used_for_first_factor": true,
        "first_factors": [\
          "string"\
        ],
        "used_for_second_factor": true,
        "second_factors": [\
          "string"\
        ],
        "verifications": [\
          "string"\
        ],
        "verify_at_sign_up": true,
        "immutable": true
      }
    },
    "social": {
      "oauth_apple": {
        "enabled": true,
        "required": true,
        "authenticatable": true,
        "block_email_subaddresses": true,
        "strategy": "string",
        "not_selectable": true,
        "deprecated": true,
        "name": "Google",
        "logo_url": "https://img.clerk.com/static/google.png"
      },
      "oauth_atlassian": {
        "enabled": true,
        "required": true,
        "authenticatable": true,
        "block_email_subaddresses": true,
        "strategy": "string",
        "not_selectable": true,
        "deprecated": true,
        "name": "Google",
        "logo_url": "https://img.clerk.com/static/google.png"
      },
      "oauth_bitbucket": {
        "enabled": true,
        "required": true,
        "authenticatable": true,
        "block_email_subaddresses": true,
        "strategy": "string",
        "not_selectable": true,
        "deprecated": true,
        "name": "Google",
        "logo_url": "https://img.clerk.com/static/google.png"
      },
      "oauth_box": {
        "enabled": true,
        "required": true,
        "authenticatable": true,
        "block_email_subaddresses": true,
        "strategy": "string",
        "not_selectable": true,
        "deprecated": true,
        "name": "Google",
        "logo_url": "https://img.clerk.com/static/google.png"
      },
      "oauth_coinbase": {
        "enabled": true,
        "required": true,
        "authenticatable": true,
        "block_email_subaddresses": true,
        "strategy": "string",
        "not_selectable": true,
        "deprecated": true,
        "name": "Google",
        "logo_url": "https://img.clerk.com/static/google.png"
      },
      "oauth_custom_mock": {
        "enabled": true,
        "required": true,
        "authenticatable": true,
        "block_email_subaddresses": true,
        "strategy": "string",
        "not_selectable": true,
        "deprecated": true,
        "name": "Google",
        "logo_url": "https://img.clerk.com/static/google.png"
      },
      "oauth_discord": {
        "enabled": true,
        "required": true,
        "authenticatable": true,
        "block_email_subaddresses": true,
        "strategy": "string",
        "not_selectable": true,
        "deprecated": true,
        "name": "Google",
        "logo_url": "https://img.clerk.com/static/google.png"
      },
      "oauth_dropbox": {
        "enabled": true,
        "required": true,
        "authenticatable": true,
        "block_email_subaddresses": true,
        "strategy": "string",
        "not_selectable": true,
        "deprecated": true,
        "name": "Google",
        "logo_url": "https://img.clerk.com/static/google.png"
      },
      "oauth_enstall": {
        "enabled": true,
        "required": true,
        "authenticatable": true,
        "block_email_subaddresses": true,
        "strategy": "string",
        "not_selectable": true,
        "deprecated": true,
        "name": "Google",
        "logo_url": "https://img.clerk.com/static/google.png"
      },
      "oauth_expressen": {
        "enabled": true,
        "required": true,
        "authenticatable": true,
        "block_email_subaddresses": true,
        "strategy": "string",
        "not_selectable": true,
        "deprecated": true,
        "name": "Google",
        "logo_url": "https://img.clerk.com/static/google.png"
      },
      "oauth_facebook": {
        "enabled": true,
        "required": true,
        "authenticatable": true,
        "block_email_subaddresses": true,
        "strategy": "string",
        "not_selectable": true,
        "deprecated": true,
        "name": "Google",
        "logo_url": "https://img.clerk.com/static/google.png"
      },
      "oauth_github": {
        "enabled": true,
        "required": true,
        "authenticatable": true,
        "block_email_subaddresses": true,
        "strategy": "string",
        "not_selectable": true,
        "deprecated": true,
        "name": "Google",
        "logo_url": "https://img.clerk.com/static/google.png"
      },
      "oauth_gitlab": {
        "enabled": true,
        "required": true,
        "authenticatable": true,
        "block_email_subaddresses": true,
        "strategy": "string",
        "not_selectable": true,
        "deprecated": true,
        "name": "Google",
        "logo_url": "https://img.clerk.com/static/google.png"
      },
      "oauth_google": {
        "enabled": true,
        "required": true,
        "authenticatable": true,
        "block_email_subaddresses": true,
        "strategy": "string",
        "not_selectable": true,
        "deprecated": true,
        "name": "Google",
        "logo_url": "https://img.clerk.com/static/google.png"
      },
      "oauth_hubspot": {
        "enabled": true,
        "required": true,
        "authenticatable": true,
        "block_email_subaddresses": true,
        "strategy": "string",
        "not_selectable": true,
        "deprecated": true,
        "name": "Google",
        "logo_url": "https://img.clerk.com/static/google.png"
      },
      "oauth_huggingface": {
        "enabled": true,
        "required": true,
        "authenticatable": true,
        "block_email_subaddresses": true,
        "strategy": "string",
        "not_selectable": true,
        "deprecated": true,
        "name": "Google",
        "logo_url": "https://img.clerk.com/static/google.png"
      },
      "oauth_instagram": {
        "enabled": true,
        "required": true,
        "authenticatable": true,
        "block_email_subaddresses": true,
        "strategy": "string",
        "not_selectable": true,
        "deprecated": true,
        "name": "Google",
        "logo_url": "https://img.clerk.com/static/google.png"
      },
      "oauth_line": {
        "enabled": true,
        "required": true,
        "authenticatable": true,
        "block_email_subaddresses": true,
        "strategy": "string",
        "not_selectable": true,
        "deprecated": true,
        "name": "Google",
        "logo_url": "https://img.clerk.com/static/google.png"
      },
      "oauth_linear": {
        "enabled": true,
        "required": true,
        "authenticatable": true,
        "block_email_subaddresses": true,
        "strategy": "string",
        "not_selectable": true,
        "deprecated": true,
        "name": "Google",
        "logo_url": "https://img.clerk.com/static/google.png"
      },
      "oauth_linkedin": {
        "enabled": true,
        "required": true,
        "authenticatable": true,
        "block_email_subaddresses": true,
        "strategy": "string",
        "not_selectable": true,
        "deprecated": true,
        "name": "Google",
        "logo_url": "https://img.clerk.com/static/google.png"
      },
      "oauth_linkedin_oidc": {
        "enabled": true,
        "required": true,
        "authenticatable": true,
        "block_email_subaddresses": true,
        "strategy": "string",
        "not_selectable": true,
        "deprecated": true,
        "name": "Google",
        "logo_url": "https://img.clerk.com/static/google.png"
      },
      "oauth_microsoft": {
        "enabled": true,
        "required": true,
        "authenticatable": true,
        "block_email_subaddresses": true,
        "strategy": "string",
        "not_selectable": true,
        "deprecated": true,
        "name": "Google",
        "logo_url": "https://img.clerk.com/static/google.png"
      },
      "oauth_mock": {
        "enabled": true,
        "required": true,
        "authenticatable": true,
        "block_email_subaddresses": true,
        "strategy": "string",
        "not_selectable": true,
        "deprecated": true,
        "name": "Google",
        "logo_url": "https://img.clerk.com/static/google.png"
      },
      "oauth_notion": {
        "enabled": true,
        "required": true,
        "authenticatable": true,
        "block_email_subaddresses": true,
        "strategy": "string",
        "not_selectable": true,
        "deprecated": true,
        "name": "Google",
        "logo_url": "https://img.clerk.com/static/google.png"
      },
      "oauth_slack": {
        "enabled": true,
        "required": true,
        "authenticatable": true,
        "block_email_subaddresses": true,
        "strategy": "string",
        "not_selectable": true,
        "deprecated": true,
        "name": "Google",
        "logo_url": "https://img.clerk.com/static/google.png"
      },
      "oauth_spotify": {
        "enabled": true,
        "required": true,
        "authenticatable": true,
        "block_email_subaddresses": true,
        "strategy": "string",
        "not_selectable": true,
        "deprecated": true,
        "name": "Google",
        "logo_url": "https://img.clerk.com/static/google.png"
      },
      "oauth_tiktok": {
        "enabled": true,
        "required": true,
        "authenticatable": true,
        "block_email_subaddresses": true,
        "strategy": "string",
        "not_selectable": true,
        "deprecated": true,
        "name": "Google",
        "logo_url": "https://img.clerk.com/static/google.png"
      },
      "oauth_twitch": {
        "enabled": true,
        "required": true,
        "authenticatable": true,
        "block_email_subaddresses": true,
        "strategy": "string",
        "not_selectable": true,
        "deprecated": true,
        "name": "Google",
        "logo_url": "https://img.clerk.com/static/google.png"
      },
      "oauth_twitter": {
        "enabled": true,
        "required": true,
        "authenticatable": true,
        "block_email_subaddresses": true,
        "strategy": "string",
        "not_selectable": true,
        "deprecated": true,
        "name": "Google",
        "logo_url": "https://img.clerk.com/static/google.png"
      },
      "oauth_x": {
        "enabled": true,
        "required": true,
        "authenticatable": true,
        "block_email_subaddresses": true,
        "strategy": "string",
        "not_selectable": true,
        "deprecated": true,
        "name": "Google",
        "logo_url": "https://img.clerk.com/static/google.png"
      },
      "oauth_xero": {
        "enabled": true,
        "required": true,
        "authenticatable": true,
        "block_email_subaddresses": true,
        "strategy": "string",
        "not_selectable": true,
        "deprecated": true,
        "name": "Google",
        "logo_url": "https://img.clerk.com/static/google.png"
      }
    },
    "saml": {
      "enabled": true,
      "self_serve_sso": true
    },
    "enterprise_sso": {
      "enabled": true,
      "self_serve_sso": true
    },
    "sign_in": {
      "second_factor": {
        "required": true
      }
    },
    "sign_up": {
      "captcha_enabled": true,
      "captcha_widget_type": "smart",
      "custom_action_required": true,
      "progressive": true,
      "mode": "public",
      "legal_consent_enabled": true
    },
    "restrictions": {
      "allowlist": {
        "enabled": true
      },
      "blocklist": {
        "enabled": true
      },
      "allowlist_blocklist_disabled_on_sign_in": {
        "enabled": true
      },
      "block_email_subaddresses": {
        "enabled": true
      },
      "block_disposable_email_domains": {
        "enabled": true
      }
    },
    "password_settings": {
      "disable_hibp": true,
      "disable_password_reverification": true,
      "min_length": 1,
      "max_length": 1,
      "require_special_char": true,
      "require_numbers": true,
      "require_uppercase": true,
      "require_lowercase": true,
      "show_zxcvbn": true,
      "min_zxcvbn_strength": 0,
      "enforce_hibp_on_sign_in": true,
      "allowed_special_characters": "string"
    },
    "username_settings": {
      "min_length": null,
      "max_length": null,
      "allow_extended_special_characters": true,
      "allow_numeric_usernames": true
    },
    "actions": {
      "delete_self": true,
      "create_organization": true,
      "create_organizations_limit": null
    },
    "attack_protection": {
      "user_lockout": {
        "enabled": true,
        "max_attempts": 1,
        "duration_in_minutes": 1
      },
      "pii": {
        "enabled": true
      },
      "email_link": {
        "require_same_client": true
      },
      "enumeration_protection": {
        "enabled": true
      }
    },
    "passkey_settings": {
      "allow_autofill": true,
      "show_sign_in_button": true,
      "satisfies_second_factor": true
    }
},
"organization_settings": {
    "enabled": true,
    "max_allowed_memberships": 1,
    "actions": {
      "admin_delete": true
    },
    "domains": {
      "enabled": true,
      "enrollment_modes": [\
        "manual_invitation"\
      ],
      "default_role": "string"
    },
    "slug": {
      "disabled": true
    },
    "creator_role": "string"
},
"fraud_settings": {
    "object": "fraud_settings",
    "native": {
      "device_attestation_mode": "disabled"
    }
},
"commerce_settings": {
    "billing": {
      "stripe_publishable_key": null,
      "free_trial_requires_payment_method": true,
      "user": {
        "enabled": true,
        "has_paid_plans": true
      },
      "organization": {
        "enabled": true,
        "has_paid_plans": true
      }
    }
},
"api_keys_settings": {
    "enabled": true,
    "user_api_keys_enabled": true,
    "orgs_api_keys_enabled": true
},
"protect_config": {
    "loaders": [\
      {\
        "rollout": 0,\
        "type": "string",\
        "target": "string",\
        "attributes": {\
          "additionalProperty": "string"\
        },\
        "textContent": "string"\
      }\
    ]
},
"client_debug_mode": true,
"partitioned_cookies": true,
"maintenance_mode": true
}
`

JSONCopy

JSONCopy

Returns the environment.

### Update environment

​Copy link

Auth Optional

Update environment using request origin

Headers

- OriginCopy link to Origin

Type: string

required

Origin of the request

Responses

- 200

Returns the environment.

application/json

- 400

Request was not successful

application/json

- 401

Request was not successful

application/json

Request Example for patch/v1/environment

Shell Curl

```curl
curl https://example-destined-camel-13.clerk.accounts.dev/v1/environment \
  --request PATCH \
  --header 'Origin: '
```

cURLCopy

cURLCopy

Ask AI Agent

Test Request(patch /v1/environment)

Status: 200Status: 400Status: 401

Show Schema

JSONCopy

JSONCopy

Returns the environment.

## Client  (Collapsed)

​Copy link

Used to interact with the Client Object.

Client Operations

- get/v1/client
- put/v1/client
- post/v1/client
- delete/v1/client
- get/v1/client/handshake
- get/v1/agents/tasks

Show More

## Sessions  (Collapsed)

​Copy link

Used to interact with the sessions of a client.

Sessions Operations

- delete/v1/client/sessions
- get/v1/client/sessions/{session\_id}
- post/v1/client/sessions/{session\_id}/touch
- post/v1/client/sessions/{session\_id}/end
- post/v1/client/sessions/{session\_id}/remove
- post/v1/client/sessions/{session\_id}/tokens
- post/v1/client/sessions/{session\_id}/tokens/{template\_name}
- post/v1/client/sessions/{session\_id}/verify
- post/v1/client/sessions/{session\_id}/verify/prepare\_first\_factor
- post/v1/client/sessions/{session\_id}/verify/attempt\_first\_factor
- post/v1/client/sessions/{session\_id}/verify/prepare\_second\_factor
- post/v1/client/sessions/{session\_id}/verify/attempt\_second\_factor

Show More

## Sign Ins  (Collapsed)

​Copy link

Used to sign in a user in the current client.

Sign Ins Operations

- post/v1/client/sign\_ins
- get/v1/client/sign\_ins/{sign\_in\_id}
- post/v1/client/sign\_ins/{sign\_in\_id}/reset\_password
- post/v1/client/sign\_ins/{sign\_in\_id}/prepare\_first\_factor
- post/v1/client/sign\_ins/{sign\_in\_id}/attempt\_first\_factor
- post/v1/client/sign\_ins/{sign\_in\_id}/prepare\_second\_factor
- post/v1/client/sign\_ins/{sign\_in\_id}/attempt\_second\_factor
- get/v1/tickets/accept
- get/v1/verify

Show More

## Sign Ups  (Collapsed)

​Copy link

Used to sign up a new user in the current client.

Sign Ups Operations

- post/v1/client/sign\_ups
- get/v1/client/sign\_ups/{sign\_up\_id}
- patch/v1/client/sign\_ups/{sign\_up\_id}
- post/v1/client/sign\_ups/{sign\_up\_id}/prepare\_verification
- post/v1/client/sign\_ups/{sign\_up\_id}/attempt\_verification

Show More

## User  (Collapsed)

​Copy link

Used to interact with the properties of the current user.

User Operations

- get/v1/me
- patch/v1/me
- delete/v1/me
- patch/v1/me/metadata
- post/v1/me/tokens
- post/v1/me/profile\_image
- delete/v1/me/profile\_image
- post/v1/me/change\_password
- post/v1/me/remove\_password

Show More

## Active Sessions  (Collapsed)

​Copy link

Used to interact with the sessions of the current user.

Active Sessions Operations

- get/v1/me/sessions/active
- post/v1/me/sessions/{session\_id}/revoke
- get/v1/me/sessions

Show More

## Email Addresses  (Collapsed)

​Copy link

Used to interact with the email addresses of the logged in user.

Email Addresses Operations

- get/v1/me/email\_addresses
- post/v1/me/email\_addresses
- post/v1/me/email\_addresses/{email\_id}/attempt\_verification
- post/v1/me/email\_addresses/{email\_id}/prepare\_verification
- get/v1/me/email\_addresses/{email\_id}
- delete/v1/me/email\_addresses/{email\_id}

Show More

## Phone Numbers  (Collapsed)

​Copy link

Used to interact with the phone numbers of the logged in user.

Phone Numbers Operations

- get/v1/me/phone\_numbers
- post/v1/me/phone\_numbers
- post/v1/me/phone\_numbers/{phone\_number\_id}/attempt\_verification
- post/v1/me/phone\_numbers/{phone\_number\_id}/prepare\_verification
- get/v1/me/phone\_numbers/{phone\_number\_id}
- patch/v1/me/phone\_numbers/{phone\_number\_id}
- delete/v1/me/phone\_numbers/{phone\_number\_id}

Show More

## Web3 Wallets  (Collapsed)

​Copy link

Used to interact with the web3 wallets of the logged in user.

Web3 Wallets Operations

- get/v1/me/web3\_wallets
- post/v1/me/web3\_wallets
- get/v1/me/web3\_wallets/{web3\_wallet\_id}
- delete/v1/me/web3\_wallets/{web3\_wallet\_id}
- post/v1/me/web3\_wallets/{web3\_wallet\_id}/prepare\_verification
- post/v1/me/web3\_wallets/{web3\_wallet\_id}/attempt\_verification

Show More

## Passkeys  (Collapsed)

​Copy link

Used to interact with the passkeys of the logged in user.

Passkeys Operations

- post/v1/me/passkeys
- get/v1/me/passkeys/{passkey\_id}
- patch/v1/me/passkeys/{passkey\_id}
- delete/v1/me/passkeys/{passkey\_id}
- post/v1/me/passkeys/{passkey\_id}/attempt\_verification

Show More

## Trusted Devices  (Collapsed)

​Copy link

Used to interact with native trusted-device credentials of the logged in user.

Trusted Devices Operations

- post/v1/client/trusted\_devices/validate
- get/v1/me/trusted\_devices
- post/v1/me/trusted\_devices/prepare
- post/v1/me/trusted\_devices/attempt
- delete/v1/me/trusted\_devices/{trusted\_device\_id}

Show More

## External Accounts  (Collapsed)

​Copy link

Used to interact with the external accounts of the current user.

External Accounts Operations

- post/v1/me/external\_accounts
- patch/v1/me/external\_accounts/{external\_account\_id}/reauthorize
- delete/v1/me/external\_accounts/{external\_account\_id}
- delete/v1/me/external\_accounts/{external\_account\_id}/tokens

Show More

## TOTP  (Collapsed)

​Copy link

Used to interact with One Time Password authenticators of the current user.

TOTP Operations

- post/v1/me/totp
- delete/v1/me/totp
- post/v1/me/totp/attempt\_verification

Show More

## Backup Codes  (Collapsed)

​Copy link

Used to interact with the two factor authentication backup codes of the current user.

Backup Codes Operations

- post/v1/me/backup\_codes

Show More

## Organizations Memberships  (Collapsed)

​Copy link

Used to interact with the current user's organization memberships, invitations and suggestions.

Organizations Memberships Operations

- get/v1/me/organization\_memberships
- delete/v1/me/organization\_memberships/{organization\_id}
- get/v1/me/organization\_invitations
- post/v1/me/organization\_invitations/{invitation\_id}/accept
- get/v1/me/organization\_suggestions
- post/v1/me/organization\_suggestions/{suggestion\_id}/accept

Show More

## API Keys  (Collapsed)

​Copy link

Endpoints for managing API Keys

API Keys Operations

- get/api\_keys
- post/api\_keys
- patch/api\_keys/{apiKeyID}
- post/api\_keys/{apiKeyID}/revoke

Show More

## Organization  (Collapsed)

​Copy link

Used to interact with an organization and its properties. The current user must be an administrator to access them.

Organization Operations

- post/v1/organizations
- get/v1/organizations/{organization\_id}
- patch/v1/organizations/{organization\_id}
- delete/v1/organizations/{organization\_id}
- put/v1/organizations/{organization\_id}/logo
- delete/v1/organizations/{organization\_id}/logo

Show More

## Organization Creation Defaults  (Collapsed)

​Copy link

Used to get suggested defaults when creating a new organization.

Organization Creation Defaults Operations

- get/v1/me/organization\_creation\_defaults

Show More

## Invitations  (Collapsed)

​Copy link

Used to interact with the invitations of an organization. The current user must be an administrator to access them.

Invitations Operations

- post/v1/organizations/{organization\_id}/invitations
- get/v1/organizations/{organization\_id}/invitations
- post/v1/organizations/{organization\_id}/invitations/bulk
- get/v1/organizations/{organization\_id}/invitations/pending
- post/v1/organizations/{organization\_id}/invitations/{invitation\_id}/revoke

Show More

## Membership Requests  (Collapsed)

​Copy link

Used to interact with the members of an organization. The current user must be an administrator to access them.

Membership Requests Operations

- get/v1/organizations/{organization\_id}/membership\_requests
- post/v1/organizations/{organization\_id}/membership\_requests/{request\_id}/accept
- post/v1/organizations/{organization\_id}/membership\_requests/{request\_id}/reject

Show More

## Members  (Collapsed)

​Copy link

Used to interact with the members of an organization. The current user must be an administrator to access them.

Members Operations

- post/v1/organizations/{organization\_id}/memberships
- get/v1/organizations/{organization\_id}/memberships
- patch/v1/organizations/{organization\_id}/memberships/{user\_id}
- delete/v1/organizations/{organization\_id}/memberships/{user\_id}

Show More

## Domains  (Collapsed)

​Copy link

Used to interact with the members of an organization. The current user must be an administrator to access them.

Domains Operations

- post/v1/organizations/{organization\_id}/domains
- get/v1/organizations/{organization\_id}/domains
- post/v1/organizations/{organization\_id}/domains/bulk
- post/v1/organizations/{organization\_id}/domains/prepare\_ownership\_verification/bulk
- post/v1/organizations/{organization\_id}/domains/attempt\_ownership\_verification/bulk
- get/v1/organizations/{organization\_id}/domains/{domain\_id}
- delete/v1/organizations/{organization\_id}/domains/{domain\_id}
- post/v1/organizations/{organization\_id}/domains/{domain\_id}/update\_enrollment\_mode
- post/v1/organizations/{organization\_id}/domains/{domain\_id}/prepare\_affiliation\_verification
- post/v1/organizations/{organization\_id}/domains/{domain\_id}/attempt\_affiliation\_verification
- post/v1/organizations/{organization\_id}/domains/{domain\_id}/prepare\_ownership\_verification
- post/v1/organizations/{organization\_id}/domains/{domain\_id}/attempt\_ownership\_verification

Show More

## Roles  (Collapsed)

​Copy link

Roles Operations

- get/v1/organizations/{organization\_id}/roles

Show More

## Plans  (Collapsed)

​Copy link

Used to interact with plans that users and organizations can purchase.

Plans Operations

- get/v1/billing/plans
- get/v1/billing/plans/{planIdOrSlug}

Show More

## Subscriptions  (Collapsed)

​Copy link

Used to interact with subscriptions belonging to users and organizations.

Subscriptions Operations

- get/v1/me/billing/subscription
- get/v1/organizations/{organizationID}/billing/subscription

Show More

## Subscription Items  (Collapsed)

​Copy link

Used to interact with subscription items belonging to users and organizations.

Subscription Items Operations

- get/v1/me/billing/subscription\_items
- delete/v1/me/billing/subscription\_items/{subscriptionItemID}
- get/v1/organizations/{organizationID}/billing/subscription\_items
- delete/v1/organizations/{organizationID}/billing/subscription\_items/{subscriptionItemID}

Show More

## Checkouts  (Collapsed)

​Copy link

Used to interact with the checkout flow.

Checkouts Operations

- post/v1/me/billing/checkouts
- get/v1/me/billing/checkouts/{checkoutID}
- patch/v1/me/billing/checkouts/{checkoutID}
- patch/v1/me/billing/checkouts/{checkoutID}/confirm
- post/v1/organizations/{organizationID}/billing/checkouts
- get/v1/organizations/{organizationID}/billing/checkouts/{checkoutID}
- patch/v1/organizations/{organizationID}/billing/checkouts/{checkoutID}
- patch/v1/organizations/{organizationID}/billing/checkouts/{checkoutID}/confirm

Show More

## Payment Methods  (Collapsed)

​Copy link

Used to interact with payment methods belonging to users and organizations.

Payment Methods Operations

- get/v1/me/billing/payment\_methods
- post/v1/me/billing/payment\_methods
- post/v1/me/billing/payment\_methods/initialize
- delete/v1/me/billing/payment\_methods/{paymentMethodID}
- put/v1/me/billing/payers/default\_payment\_method
- get/v1/organizations/{organizationID}/billing/payment\_methods
- post/v1/organizations/{organizationID}/billing/payment\_methods
- post/v1/organizations/{organizationID}/billing/payment\_methods/initialize
- delete/v1/organizations/{organizationID}/billing/payment\_methods/{paymentMethodID}
- put/v1/organizations/{organizationID}/billing/payers/default\_payment\_method

Show More

## Statements  (Collapsed)

​Copy link

Used to interact with billing statements for users and organizations.

Statements Operations

- get/v1/me/billing/statements
- get/v1/me/billing/statements/{statementID}
- get/v1/organizations/{organizationID}/billing/statements
- get/v1/organizations/{organizationID}/billing/statements/{statementID}

Show More

## Payment Attempts  (Collapsed)

​Copy link

Used to interact with payment attempts for users and organizations.

Payment Attempts Operations

- get/v1/me/billing/payment\_attempts
- get/v1/me/billing/payment\_attempts/{paymentAttemptID}

Show More

## Well Known  (Collapsed)

​Copy link

Well-known endpoints like JWKS, deep linking, and openid-configuration.

Well Known Operations

- get/.well-known/assetlinks.json
- get/.well-known/jwks.json
- get/.well-known/apple-app-site-association
- get/.well-known/openid-configuration
- get/.well-known/oauth-authorization-server
- get/.well-known/webauthn

Show More

## DevBrowser  (Collapsed)

​Copy link

Used to handle dev browsers.

DevBrowser Operations

- post/v1/dev\_browser

Show More

## DevTools  (Collapsed)

​Copy link

Used to configure development instance settings.

## Health  (Collapsed)

​Copy link

Used to get the health status of the API.

Health Operations

- get/v1/health

Show More

## OAuth2 Identity Provider  (Collapsed)

​Copy link

Requests for the OAuth2 authorization flow.

OAuth2 Identity Provider Operations

- get/oauth/authorize
- post/oauth/authorize
- post/oauth/register
- post/oauth/token
- get/oauth/userinfo
- post/oauth/userinfo
- post/oauth/token\_info
- post/oauth/token/revoke
- get/v1/me/oauth/consent/{client\_id}
- post/v1/me/oauth/consent/{client\_id}

Show More

## OAuth2 Callbacks  (Collapsed)

​Copy link

Used to receive callbacks from successful OAuth attempts.

OAuth2 Callbacks Operations

- get/v1/oauth\_callback
- post/v1/oauth\_callback

Show More

## SAML  (Collapsed)

​Copy link

Used in authentication flows using SAML.

SAML Operations

- get/v1/saml/metadata/{saml\_connection\_id}.xml
- post/v1/saml/acs/{saml\_connection\_id}

Show More

## Waitlist  (Collapsed)

​Copy link

Used to interact with the waitlist.

Waitlist Operations

- post/v1/waitlist

Show More

## Enterprise Connections  (Collapsed)

​Copy link

Endpoints for managing enterprise connections.

Enterprise Connections Operations

- get/v1/organizations/{organizationID}/enterprise\_connections
- post/v1/organizations/{organizationID}/enterprise\_connections
- patch/v1/organizations/{organizationID}/enterprise\_connections/{enterprise\_connection\_id}
- delete/v1/organizations/{organizationID}/enterprise\_connections/{enterprise\_connection\_id}
- get/v1/organizations/{organizationID}/enterprise\_connections/{enterprise\_connection\_id}/test\_runs
- post/v1/organizations/{organizationID}/enterprise\_connections/{enterprise\_connection\_id}/test\_runs
- get/v1/me/enterprise\_connections
- post/v1/me/enterprise\_connections
- patch/v1/me/enterprise\_connections/{enterprise\_connection\_id}
- delete/v1/me/enterprise\_connections/{enterprise\_connection\_id}
- get/v1/me/enterprise\_connections/{enterprise\_connection\_id}/test\_runs
- post/v1/me/enterprise\_connections/{enterprise\_connection\_id}/test\_runs
- get/v1/enterprise\_connections/{enterpriseConnectionID}/init\_test\_run
- get/v1/enterprise\_connections/{enterpriseConnectionID}/test\_runs/{testRunID}

Show More

### Get account portal

​Copy link

Auth Required

Get users account portal

Responses

- 200

Returns the account portal.

application/json

- 400

Request was not successful

application/json

- 401

Request was not successful

application/json

- 404

Request was not successful

application/json

Request Example for get/v1/account\_portal

Shell Curl

```curl
curl 'https://example-destined-camel-13.clerk.accounts.dev/v1/account_portal?__dev_session=YOUR_SECRET_TOKEN' \
  --header '__session: YOUR_SECRET_TOKEN'
```

cURLCopy

cURLCopy

Ask AI Agent

Test Request(get /v1/account\_portal)

Status: 200Status: 400Status: 401Status: 404

Show Schema

```json
{
  "object": "account_portal",
  "allowed": true,
  "enabled": true,
  "internal_linking": true,
  "after_sign_in_url": "string",
  "after_sign_up_url": "string",
  "after_join_waitlist_url": "string",
  "after_create_organization_url": "string",
  "after_leave_organization_url": "string",
  "logo_link_url": "string",
  "customization": {
    "appearance": "auto",
    "background_color_dark": null,
    "background_color_light": null,
    "primary_color_dark": null,
    "primary_color_light": null
  }
}
```

JSONCopy

JSONCopy

Returns the account portal.

### Get Proxy Health

​Copy link

Auth Required

Use this endpoint to check the validity of a proxy configuration for a domain.
Pass the instance ID and domain ID as query parameters.

Query Parameters

- domain\_idCopy link to domain\_id

Type: string

required

The ID of the domain

Headers

- Clerk-Proxy-UrlCopy link to Clerk-Proxy-Url

Type: string

required

The URL of the proxy

- Clerk-Secret-KeyCopy link to Clerk-Secret-Key

Type: string

required

The secret key of the proxy

- X-Forwarded-ForCopy link to X-Forwarded-For

Type: string

required

The IP address of the client

Responses

- 200

Configuration is valid

application/json

- 400

Request was not successful

application/json

- 503

Configuration is invalid or service is unavailable

application/json

Request Example for get/v1/proxy-health

Shell Curl

```curl
curl 'https://example-destined-camel-13.clerk.accounts.dev/v1/proxy-health?domain_id=&__dev_session=YOUR_SECRET_TOKEN' \
  --header 'Clerk-Proxy-Url: ' \
  --header 'Clerk-Secret-Key: ' \
  --header 'X-Forwarded-For: ' \
  --header '__session: YOUR_SECRET_TOKEN'
```

cURLCopy

cURLCopy

Ask AI Agent

Test Request(get /v1/proxy-health)

Status: 200Status: 400Status: 503

Show Schema

```json
{
  "status": "healthy",
  "x_forwarded_for": "string"
}
```

JSONCopy

JSONCopy

Configuration is valid

### Sync clients across multiple domains

​Copy link

Auth Required

Start the syncing process between a satellite and primary domain.

Query Parameters

- link\_domainCopy link to link\_domain

Type: string

The satellite domain which should be synced with its primary.

- redirect\_urlCopy link to redirect\_url

Type: string

The URL to redirect to after the syncing process has been completed.

Responses

- 307

Redirect

- 400

Request was not successful

application/json

- 403

Request was not successful

application/json

- 422

Request was not successful

application/json

Request Example for get/v1/client/sync

Shell Curl

```curl
curl 'https://example-destined-camel-13.clerk.accounts.dev/v1/client/sync?__dev_session=YOUR_SECRET_TOKEN' \
  --header '__session: YOUR_SECRET_TOKEN'
```

cURLCopy

cURLCopy

Ask AI Agent

Test Request(get /v1/client/sync)

Status: 307Status: 400Status: 403Status: 422

No Body

Redirect

### Link clients across multiple domains

​Copy link

Auth Required

Complete a syncing process between a satellite and primary domains by linking their clients.

Query Parameters

- \_\_clerk\_tokenCopy link to \_\_clerk\_token

Type: string

The token generated from a sync request.

Responses

- 307

Redirect

- 400

Request was not successful

application/json

- 403

Request was not successful

application/json

- 422

Request was not successful

application/json

Request Example for get/v1/client/link

Shell Curl

```curl
curl 'https://example-destined-camel-13.clerk.accounts.dev/v1/client/link?__dev_session=YOUR_SECRET_TOKEN' \
  --header '__session: YOUR_SECRET_TOKEN'
```

cURLCopy

cURLCopy

Ask AI Agent

Test Request(get /v1/client/link)

Status: 307Status: 400Status: 403Status: 422

No Body

Redirect

### Post Dev Browser init set cookie

​Copy link

Auth Required

post dev\_browser/set\_first\_party\_cookie

Responses

- 200

A cookie for the dev browser was set.

Request Example for post/v1/dev\_browser/set\_first\_party\_cookie

Shell Curl

```curl
curl 'https://example-destined-camel-13.clerk.accounts.dev/v1/dev_browser/set_first_party_cookie?__dev_session=YOUR_SECRET_TOKEN' \
  --request POST \
  --header '__session: YOUR_SECRET_TOKEN'
```

cURLCopy

cURLCopy

Ask AI Agent

Test Request(post /v1/dev\_browser/set\_first\_party\_cookie)

Status: 200

No Body

A cookie for the dev browser was set.

### Initialize dev browser for development and staging instances

​Copy link

Auth Required

get dev\_browser/init

Query Parameters

- originCopy link to origin

Type: string

The origin of the request

Responses

- 200

Successfully initialized the dev browser.

- 400

Request was not successful

application/json

- 500

Request was not successful

application/json

Request Example for get/v1/dev\_browser/init

Shell Curl

```curl
curl 'https://example-destined-camel-13.clerk.accounts.dev/v1/dev_browser/init?__dev_session=YOUR_SECRET_TOKEN' \
  --header '__session: YOUR_SECRET_TOKEN'
```

cURLCopy

cURLCopy

Ask AI Agent

Test Request(get /v1/dev\_browser/init)

Status: 200Status: 400Status: 500

No Body

Successfully initialized the dev browser.

### Set the Clear-Site-Data header

​Copy link

Auth Required

Clear browsing data (cookies, storage, cache) associated with the requesting website

Responses

- 200

The Clear-Site-Data header was set with wildcard value.

Request Example for get/v1/clear-site-data

Shell Curl

```curl
curl 'https://example-destined-camel-13.clerk.accounts.dev/v1/clear-site-data?__dev_session=YOUR_SECRET_TOKEN' \
  --header '__session: YOUR_SECRET_TOKEN'
```

cURLCopy

cURLCopy

Ask AI Agent

Test Request(get /v1/clear-site-data)

Status: 200

No Body

The Clear-Site-Data header was set with wildcard value.

## Models

Show More

## Feedback

What did you think of this content?

It was helpfulIt was not helpfulI have feedback

Show sidebar

GET

Server: https://{domain}.clerk.accounts.dev

/.well-known/assetlinks.json

Copy URL

Send Send get request to https://{domain}.clerk.accounts.dev/.well-known/assetlinks.json

GET

Copy URLSend Send get request to https://{domain}.clerk.accounts.dev/.well-known/assetlinks.json

Close Client

Get Android Asset Links

AllAuthCookiesHeadersQuery

All

## Authentication

Selected Auth Type: DevBrowser & Session

## Variables

| Enabled | Key | Value |
| --- | --- | --- |

## Cookies

| Enabled | Key | Value |
| --- | --- | --- |
|  |  |  |

## Headers

| Enabled | Key | Value |
| --- | --- | --- |
|  | accept | application/json |
|  |  |  |

## Query Parameters

| Enabled | Key | Value |
| --- | --- | --- |
|  |  |  |

## Request Body

No Body

| None |
| --- |

## Code Snippet (Collapsed)

Shell Curl

Response

AllCookiesHeadersBody

All

[Powered By Scalar.com](https://www.scalar.com/)

Send Request

ctrlControl

↵Enter

Support
